<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $ v2.0 Titan99  $
 * @link       http://www.wowroster.net
 * @package    BankTry
 * @subpackage Installer
*/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

	
$query="SELECT r.*
	FROM `" . $roster->db->table('rules','BankTry') . "` as r
	";

$result_rules = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', 	basename(__FILE__),__LINE__,$query);

$query="SELECT i.*, sum( `item_quantity` ) as Nb
	FROM `" . $roster->db->table('items') . "` as i
	WHERE  NOT ( ";
$i=0;
while($rules= $roster->db->fetch($result_rules))
{
	if($i++==0)
		$query.= "i.item_name LIKE '".$rules['rule']."' ";
	else
		$query.= "OR i.item_name LIKE '".$rules['rule']."' ";
}
	$query.=")
		AND i.`item_slot` NOT LIKE 'Bag0'
		AND i.`item_slot` NOT LIKE 'Bag1'
		AND i.`item_slot` NOT LIKE 'Bag2'
		AND i.`item_slot` NOT LIKE 'Bag3'
		AND i.`item_slot` NOT LIKE 'Bag4'
		AND i.`item_slot` NOT LIKE 'Bag5'
		AND i.`item_slot` NOT LIKE 'Bank Bag1'
		AND i.`item_slot` NOT LIKE 'Bank Bag2'
		AND i.`item_slot` NOT LIKE 'Bank Bag3'
		AND i.`item_slot` NOT LIKE 'Bank Bag4'
		AND i.`item_slot` NOT LIKE 'Bank Bag5'
		AND i.`item_slot` NOT LIKE 'Bank Bag6'
		AND i.`item_slot` NOT LIKE 'Bank Bag7'
		AND i.`item_parent` NOT LIKE 'equip'
		AND i.`item_tooltip` NOT LIKE '%Lié%'
		AND i.`item_tooltip` NOT LIKE '%Objet de quête%'
		GROUP BY i.item_name
		ORDER BY i.item_name ASC;";

$result_item = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', 	basename(__FILE__),__LINE__,$query);

while($item= $roster->db->fetch($result_item))
{
	$tooltip = makeOverlib($item['item_tooltip'],'',$item['item_color'],0,$roster->config['locale']);
	$itemAff = '<div class="item" '.$tooltip.'>';
	$itemAff.="<img src=\"". $roster->config['interface_url'] . 'Interface/Icons/' . $item['item_texture'] . '.' . $roster->config['img_suffix'] . "\" class=\"icon\" alt=\"\" />";
	$itemAff.="<b>".$item['Nb']."</b><span>".$item['Nb']."</span>";
	$itemAff.='</div>';


	echo $itemAff." ".$item['item_name']."<br/>";

}//while($item= $roster->db->fetch($result_item))

if($i<$itemByLine)
{
	while($i++<$itemByLine)
		echo '<td class="membersRow1">&nbsp;</td> ';
	echo '	</tr>';
}


?>