<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $ v0.5 Titan99 $
 * @link       http://www.wowroster.net
 * @package    BankTry
 * @subpackage Admin
*/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

echo border('sgreen','start',$roster->locale->act['BT_Rules']);


?>

<table class="bodyline" cellspacing="0">
	<thead>
		<tr>
			<th class="membersHeader" > <?php echo $roster->locale->act['BT_Champ'];?> </th>
			<th class="membersHeaderRight"><?php echo $roster->locale->act['BT_Rules'];?> </th>
			<th class="membersHeaderRight">&nbsp;</th>
		</tr>
	</thead>
	<tbody>
<?php
$query="SELECT *
	FROM `" . $roster->db->table('rules','BankTry') . "`
	WHERE `lang`= '".$roster->config['locale']."'
	AND `id_category`= ".$id."
	ORDER BY `rule` ASC";



$result_key = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', 	basename(__FILE__),__LINE__,$query);

$max=0;

while($row = $roster->db->fetch($result_key))
{
?>
		<tr>
			<td class="membersRow1"><input class="wowinput128" type="text" name="champ_<?php echo $row['id'];?>" value="<?php echo $row['champ'];?>" MAXLENGTH="50"/></td>
			<td class="membersRow1"><input class="wowinput128" type="text" name="rule_<?php echo $row['id'];?>" value="<?php echo $row['rule'];?>" MAXLENGTH="50"/></td>
			<td class="membersRowRight1">
				<button type="submit" class="input" onclick="setvalue('action','Rdel_<?php echo $row['id'];?>');">
					<?php echo $roster->locale->act['delete'];?>
				</button>
				<button type="submit" class="input" onclick="setvalue('action','Rchange_<?php echo $row['id'];?>');">
					<?php echo $roster->locale->act['update'];?>
				</button>
			</td>
		</tr>
<?php
}//end while
?>
		<tr>
			<td class="membersRow2">
				<?php echo '<input type="hidden" id="Ridc" name="Ridc" value="'.$id.'" />';?>
				<input class="wowinput128" type="text" name="insert_champ" value="" MAXLENGTH="50"/>
			</td>
			<td class="membersRow2">
				<input class="wowinput128" type="text" name="insert_rule" value="" MAXLENGTH="50"/>
			</td>
			<td class="membersRowRight2"><button type="submit" class="input" onclick="setvalue('action','Radd');"><?php echo $roster->locale->act['add'];?></button></td>
		</tr>
	</tbody>
</table>
<?php

echo border('sgreen','end');
?>
