<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $ v2.0 Titan99  $
 * @link       http://www.wowroster.net
 * @package    BankTry
 * @subpackage Installer
*/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

include_once ($addon['dir'] . 'inc/conf.php');

$header_title = $roster->locale->act['BankTry_title_addon'];

$muleMemberId='';
$total_gold=$total_silver=$total_copper=0;


$muleNameQuery = "	SELECT m.member_id, m.name AS member_name, m.note AS member_note, m.officer_note AS member_officer_note, p.money_g AS gold, p.money_s  AS silver, p.money_c AS copper, m.last_online AS member_last_online
			FROM `" . $roster->db->table('players') . "` AS p, `" . $roster->db->table('members') . "`  AS m
			WHERE m." . $addon['config']['banker_fieldname'] . " LIKE '%" . $addon['config']['banker_rankname'] . "%' 
			AND p.member_id = m.member_id 
			AND m.guild_id = " . $roster->data['guild_id'] ."
			ORDER BY m.name";

$muleNames = $roster->db->query($muleNameQuery) or die_quietly($roster->db->error(),'Database Error', 	basename(__FILE__),__LINE__,$query);


print border('sblue','start',$roster->locale->act['BankTry_perso']);

echo '<table class="bodyline" cellspacing="0" id="table_1">';
echo '
	<tr>
		<th class="membersHeader" >'.$roster->locale->act['name'].'</th>
		<th class="membersHeader" > <img src="' . $roster->config['img_url'] . 'coin_gold.gif" alt="g" /> </th>
		<th class="membersHeader" > <img src="' . $roster->config['img_url'] . 'coin_silver.gif" alt="s" /> </th>
		<th class="membersHeader" > <img src="' . $roster->config['img_url'] . 'coin_copper.gif" alt="s" /> </th>
		<th class="membersHeader" >'.$roster->locale->act['lastonline'].'</th>
	<tr>';
$i=0;
while($mule = $roster->db->fetch($muleNames))
{
$idMule[$i++]=$mule['member_id'];
$nameMule[$mule['member_id']]=$mule['member_name'];

echo '
	<tr>
		<td class="membersRow1" >'.$mule['member_name'].'</td>
		<td class="membersRow1" >'.$mule['gold'].'</th>
		<td class="membersRow1" >'.$mule['silver'].'</th>
		<td class="membersRow1" >'.$mule['copper'].'</th>
		<td class="membersRow1" >'.$mule['member_last_online'].'</th>
	<tr>';

$total_gold+=$mule['gold'];
$total_silver+=$mule['silver'];
$total_copper+=$mule['copper'];

}
echo '
	<tr>
		<td class="membersRow1" >'.$roster->locale->act['total'].'</td>
		<td class="membersRow1" >'.$total_gold.'</th>
		<td class="membersRow1" >'.$total_silver.'</th>
		<td class="membersRow1" >'.$total_copper.'</th>
		<td class="membersRow1" >&nbsp;</th>
	<tr>';

echo '</table>';

print border('sgray','end',$roster->locale->act['BankTry_perso']);



//-----------------------------------------------------



print border('sgray','start',$roster->locale->act['BankTry_title_addon']);

$query="SELECT *
	FROM `" . $roster->db->table('category','BankTry') . "`
	WHERE `lang`= '".$roster->config['locale']."'
	ORDER BY `name` ASC";

$result_key = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', 	basename(__FILE__),__LINE__,$query);
?>
<table width="100%" class="bodyline" cellspacing="0" id="table_2">
<?php
while($category = $roster->db->fetch($result_key))
{
?>

	<tr>
		<th class="membersHeader" colspan='<?php echo $itemByLine; ?>' ><?php echo $category['name']?></th>
	</tr>
<?php
	require ("rules.php");

}//while($category = $roster->db->fetch($result_key))
?>

	<tr>
		<th class="membersHeader" colspan='<?php echo $itemByLine; ?>' ><?php echo $roster->locale->act['BankTry_divers']?></th>
	</tr>

<?php
	require ("no_rules.php");
?>
</table>
<?php
print border('sgray','end',$roster->locale->act['BankTry_title_addon']);

?>
